﻿using C1.Xaml.RichTextBox;
using C1.Xaml.RichTextBox.Documents;
using RichTextBoxShare.Common;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The User Control item template is documented at http://go.microsoft.com/fwlink/?LinkId=234236

namespace RichTextBoxShare.Tools
{
    public sealed partial class InsertTableTool : UserControl
    {
        public Flyout Popup
        {
            get;
            set;
        }

        public C1RichTextBox RichTextBox
        {
            get;
            set;
        }

        public InsertTableTool()
        {
            this.InitializeComponent();

            // init flyout
            Popup = new Flyout();
            Popup.Content = this;
            Popup.Placement = PlacementMode.Top;
        }

        public void Show()
        {
            Popup.IsOpen = true;
        }

        public void Close()
        {
            Popup.IsOpen = false;
        }

        private void btnInsertTable_Click(object sender, RoutedEventArgs e)
        {
            RichTextBox.Selection.Start.InsertTable((int)numRowsBox.Value, (int)numColsBox.Value);
            Close();
        }
    }
}
